VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   1305
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   1995
   LinkTopic       =   "Form1"
   ScaleHeight     =   1305
   ScaleWidth      =   1995
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdMakeDb 
      Caption         =   "Make Database"
      Height          =   615
      Left            =   360
      TabIndex        =   0
      Top             =   360
      Width           =   1215
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdCreate_Click()
Dim db_name As String
Dim password As String
Dim db As Database
Dim i As Integer
Dim txt As String

    ' Get the database name and password.
    db_name = txtDbName.Text
    password = txtPassword.Text

    ' Delete the database if it exists.
    On Error Resume Next
    Kill db_name

    ' Create the database.
    On Error GoTo CreateError
    Set db = DBEngine.CreateDatabase( _
        db_name, dbLangGeneral)
    db.Close
    Set db = Nothing

    ' Verify that we can open the database.
    On Error GoTo OpenError
    Set db = DBEngine.Workspaces(0).OpenDatabase( _
        db_name, 0, 0)

    ' Read the table names.
    For i = 0 To db.TableDefs.Count - 1
        txt = txt & db.TableDefs(i).Name & vbCrLf
    Next i
    txtTables.Text = txt

    db.Close
    Set db = Nothing
    Exit Sub

CreateError:
    MsgBox "Error " & Format$(Err.Number) & _
        " creating database '" & db_name & "'" & _
        vbCrLf & Err.Description
    Exit Sub

OpenError:
    MsgBox "Error " & Format$(Err.Number) & _
        " opening database '" & db_name & "'" & _
        vbCrLf & Err.Description
    Exit Sub
End Sub

Private Sub cmdMakeDb_Click()
Dim db_name As String
Dim db As Database

    ' Get the database name.
    db_name = App.Path
    If Right$(db_name, 1) <> "\" Then db_name = db_name & "\"
    db_name = db_name & "test.mdb"

    ' Delete the database if it exists.
    On Error Resume Next
    Kill db_name
    On Error GoTo 0

    ' Create the database.
    Set db = DBEngine.CreateDatabase( _
        db_name, dbLangGeneral)

    ' Create the table.
    db.Execute "CREATE TABLE Dates (TheDate DATE, TheNumber INTEGER)"

    ' Insert records.
    db.Execute "INSERT INTO Dates VALUES (#8/20/2002#, 0)"
    db.Execute "INSERT INTO Dates VALUES (#8/21/2002#, 1)"
    db.Execute "INSERT INTO Dates VALUES (#8/22/2002#, 2)"
    db.Execute "INSERT INTO Dates VALUES (#8/23/2002#, 3)"
    db.Execute "INSERT INTO Dates VALUES (#8/24/2002#, 4)"

    db.Close
    Set db = Nothing

    MsgBox "Done"
End Sub
